import * as pulumi from "@pulumi/pulumi";
/**
 * The ``AWS::ApiGateway::UsagePlanKey`` resource associates an API key with a usage plan. This association determines which users the usage plan is applied to.
 */
export declare function getUsagePlanKey(args: GetUsagePlanKeyArgs, opts?: pulumi.InvokeOptions): Promise<GetUsagePlanKeyResult>;
export interface GetUsagePlanKeyArgs {
    /**
     * The ID for the usage plan key. For example: `abc123` .
     */
    id: string;
}
export interface GetUsagePlanKeyResult {
    /**
     * The ID for the usage plan key. For example: `abc123` .
     */
    readonly id?: string;
}
/**
 * The ``AWS::ApiGateway::UsagePlanKey`` resource associates an API key with a usage plan. This association determines which users the usage plan is applied to.
 */
export declare function getUsagePlanKeyOutput(args: GetUsagePlanKeyOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetUsagePlanKeyResult>;
export interface GetUsagePlanKeyOutputArgs {
    /**
     * The ID for the usage plan key. For example: `abc123` .
     */
    id: pulumi.Input<string>;
}
