import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::CloudWatch::Dashboard
 */
export declare function getDashboard(args: GetDashboardArgs, opts?: pulumi.InvokeOptions): Promise<GetDashboardResult>;
export interface GetDashboardArgs {
    /**
     * The name of the dashboard. The name must be between 1 and 255 characters. If you do not specify a name, one will be generated automatically.
     */
    dashboardName: string;
}
export interface GetDashboardResult {
    /**
     * The detailed information about the dashboard in JSON format, including the widgets to include and their location on the dashboard
     */
    readonly dashboardBody?: string;
}
/**
 * Resource Type definition for AWS::CloudWatch::Dashboard
 */
export declare function getDashboardOutput(args: GetDashboardOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDashboardResult>;
export interface GetDashboardOutputArgs {
    /**
     * The name of the dashboard. The name must be between 1 and 255 characters. If you do not specify a name, one will be generated automatically.
     */
    dashboardName: pulumi.Input<string>;
}
