import * as pulumi from "@pulumi/pulumi";
/**
 * This resource schema represents the RepositoryAssociation resource in the Amazon CodeGuru Reviewer service.
 */
export declare function getRepositoryAssociation(args: GetRepositoryAssociationArgs, opts?: pulumi.InvokeOptions): Promise<GetRepositoryAssociationResult>;
export interface GetRepositoryAssociationArgs {
    /**
     * The Amazon Resource Name (ARN) of the repository association.
     */
    associationArn: string;
}
export interface GetRepositoryAssociationResult {
    /**
     * The Amazon Resource Name (ARN) of the repository association.
     */
    readonly associationArn?: string;
}
/**
 * This resource schema represents the RepositoryAssociation resource in the Amazon CodeGuru Reviewer service.
 */
export declare function getRepositoryAssociationOutput(args: GetRepositoryAssociationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetRepositoryAssociationResult>;
export interface GetRepositoryAssociationOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the repository association.
     */
    associationArn: pulumi.Input<string>;
}
