import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::Config::OrganizationConformancePack.
 */
export declare function getOrganizationConformancePack(args: GetOrganizationConformancePackArgs, opts?: pulumi.InvokeOptions): Promise<GetOrganizationConformancePackResult>;
export interface GetOrganizationConformancePackArgs {
    /**
     * The name of the organization conformance pack.
     */
    organizationConformancePackName: string;
}
export interface GetOrganizationConformancePackResult {
    /**
     * A list of ConformancePackInputParameter objects.
     */
    readonly conformancePackInputParameters?: outputs.configuration.OrganizationConformancePackConformancePackInputParameter[];
    /**
     * AWS Config stores intermediate files while processing conformance pack template.
     */
    readonly deliveryS3Bucket?: string;
    /**
     * The prefix for the delivery S3 bucket.
     */
    readonly deliveryS3KeyPrefix?: string;
    /**
     * A list of AWS accounts to be excluded from an organization conformance pack while deploying a conformance pack.
     */
    readonly excludedAccounts?: string[];
}
/**
 * Resource schema for AWS::Config::OrganizationConformancePack.
 */
export declare function getOrganizationConformancePackOutput(args: GetOrganizationConformancePackOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetOrganizationConformancePackResult>;
export interface GetOrganizationConformancePackOutputArgs {
    /**
     * The name of the organization conformance pack.
     */
    organizationConformancePackName: pulumi.Input<string>;
}
