import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::Connect::PredefinedAttribute
 */
export declare function getPredefinedAttribute(args: GetPredefinedAttributeArgs, opts?: pulumi.InvokeOptions): Promise<GetPredefinedAttributeResult>;
export interface GetPredefinedAttributeArgs {
    /**
     * The identifier of the Amazon Connect instance.
     */
    instanceArn: string;
    /**
     * The name of the predefined attribute.
     */
    name: string;
}
export interface GetPredefinedAttributeResult {
    /**
     * Last modified region.
     */
    readonly lastModifiedRegion?: string;
    /**
     * Last modified time.
     */
    readonly lastModifiedTime?: number;
    /**
     * The values of a predefined attribute.
     */
    readonly values?: outputs.connect.ValuesProperties;
}
/**
 * Resource Type definition for AWS::Connect::PredefinedAttribute
 */
export declare function getPredefinedAttributeOutput(args: GetPredefinedAttributeOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetPredefinedAttributeResult>;
export interface GetPredefinedAttributeOutputArgs {
    /**
     * The identifier of the Amazon Connect instance.
     */
    instanceArn: pulumi.Input<string>;
    /**
     * The name of the predefined attribute.
     */
    name: pulumi.Input<string>;
}
