import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource schema for AWS::DataSync::Agent.
 */
export declare function getAgent(args: GetAgentArgs, opts?: pulumi.InvokeOptions): Promise<GetAgentResult>;
export interface GetAgentArgs {
    /**
     * The DataSync Agent ARN.
     */
    agentArn: string;
}
export interface GetAgentResult {
    /**
     * The DataSync Agent ARN.
     */
    readonly agentArn?: string;
    /**
     * The name configured for the agent. Text reference used to identify the agent in the console.
     */
    readonly agentName?: string;
    /**
     * The service endpoints that the agent will connect to.
     */
    readonly endpointType?: enums.datasync.AgentEndpointType;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::DataSync::Agent.
 */
export declare function getAgentOutput(args: GetAgentOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAgentResult>;
export interface GetAgentOutputArgs {
    /**
     * The DataSync Agent ARN.
     */
    agentArn: pulumi.Input<string>;
}
