import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * VPC Route Server Peer
 */
export declare function getRouteServerPeer(args: GetRouteServerPeerArgs, opts?: pulumi.InvokeOptions): Promise<GetRouteServerPeerResult>;
export interface GetRouteServerPeerArgs {
    /**
     * The ID of the Route Server Peer.
     */
    id: string;
}
export interface GetRouteServerPeerResult {
    /**
     * The Amazon Resource Name (ARN) of the Route Server Peer.
     */
    readonly arn?: string;
    /**
     * Elastic Network Interface IP address owned by the Route Server Endpoint
     */
    readonly endpointEniAddress?: string;
    /**
     * Elastic Network Interface ID owned by the Route Server Endpoint
     */
    readonly endpointEniId?: string;
    /**
     * The ID of the Route Server Peer.
     */
    readonly id?: string;
    /**
     * Route Server ID
     */
    readonly routeServerId?: string;
    /**
     * Subnet ID
     */
    readonly subnetId?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
    /**
     * VPC ID
     */
    readonly vpcId?: string;
}
/**
 * VPC Route Server Peer
 */
export declare function getRouteServerPeerOutput(args: GetRouteServerPeerOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetRouteServerPeerResult>;
export interface GetRouteServerPeerOutputArgs {
    /**
     * The ID of the Route Server Peer.
     */
    id: pulumi.Input<string>;
}
