import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::EC2::TransitGatewayAttachment
 */
export declare function getTransitGatewayAttachment(args: GetTransitGatewayAttachmentArgs, opts?: pulumi.InvokeOptions): Promise<GetTransitGatewayAttachmentResult>;
export interface GetTransitGatewayAttachmentArgs {
    /**
     * The ID of the attachment.
     */
    id: string;
}
export interface GetTransitGatewayAttachmentResult {
    /**
     * The ID of the attachment.
     */
    readonly id?: string;
    /**
     * The options for the transit gateway vpc attachment.
     */
    readonly options?: outputs.ec2.OptionsProperties;
    /**
     * The IDs of one or more subnets. You can specify only one subnet per Availability Zone. You must specify at least one subnet, but we recommend that you specify two subnets for better availability. The transit gateway uses one IP address from each specified subnet.
     */
    readonly subnetIds?: string[];
    /**
     * The tags for the attachment.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::EC2::TransitGatewayAttachment
 */
export declare function getTransitGatewayAttachmentOutput(args: GetTransitGatewayAttachmentOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTransitGatewayAttachmentResult>;
export interface GetTransitGatewayAttachmentOutputArgs {
    /**
     * The ID of the attachment.
     */
    id: pulumi.Input<string>;
}
