import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * The AWS::EC2::TransitGatewayPeeringAttachment type
 */
export declare function getTransitGatewayPeeringAttachment(args: GetTransitGatewayPeeringAttachmentArgs, opts?: pulumi.InvokeOptions): Promise<GetTransitGatewayPeeringAttachmentResult>;
export interface GetTransitGatewayPeeringAttachmentArgs {
    /**
     * The ID of the transit gateway peering attachment.
     */
    transitGatewayAttachmentId: string;
}
export interface GetTransitGatewayPeeringAttachmentResult {
    /**
     * The time the transit gateway peering attachment was created.
     */
    readonly creationTime?: string;
    /**
     * The state of the transit gateway peering attachment. Note that the initiating state has been deprecated.
     */
    readonly state?: string;
    /**
     * The status of the transit gateway peering attachment.
     */
    readonly status?: outputs.ec2.TransitGatewayPeeringAttachmentPeeringAttachmentStatus;
    /**
     * The tags for the transit gateway peering attachment.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The ID of the transit gateway peering attachment.
     */
    readonly transitGatewayAttachmentId?: string;
}
/**
 * The AWS::EC2::TransitGatewayPeeringAttachment type
 */
export declare function getTransitGatewayPeeringAttachmentOutput(args: GetTransitGatewayPeeringAttachmentOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTransitGatewayPeeringAttachmentResult>;
export interface GetTransitGatewayPeeringAttachmentOutputArgs {
    /**
     * The ID of the transit gateway peering attachment.
     */
    transitGatewayAttachmentId: pulumi.Input<string>;
}
