import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::EC2::NetworkPerformanceMetricSubscription
 */
export declare class NetworkPerformanceMetricSubscription extends pulumi.CustomResource {
    /**
     * Get an existing NetworkPerformanceMetricSubscription resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): NetworkPerformanceMetricSubscription;
    /**
     * Returns true if the given object is an instance of NetworkPerformanceMetricSubscription.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is NetworkPerformanceMetricSubscription;
    /**
     * The target Region or Availability Zone for the metric to subscribe to.
     */
    readonly destination: pulumi.Output<string>;
    /**
     * The metric type to subscribe to.
     */
    readonly metric: pulumi.Output<string>;
    /**
     * The starting Region or Availability Zone for metric to subscribe to.
     */
    readonly source: pulumi.Output<string>;
    /**
     * The statistic to subscribe to.
     */
    readonly statistic: pulumi.Output<string>;
    /**
     * Create a NetworkPerformanceMetricSubscription resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: NetworkPerformanceMetricSubscriptionArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a NetworkPerformanceMetricSubscription resource.
 */
export interface NetworkPerformanceMetricSubscriptionArgs {
    /**
     * The target Region or Availability Zone for the metric to subscribe to.
     */
    destination: pulumi.Input<string>;
    /**
     * The metric type to subscribe to.
     */
    metric: pulumi.Input<string>;
    /**
     * The starting Region or Availability Zone for metric to subscribe to.
     */
    source: pulumi.Input<string>;
    /**
     * The statistic to subscribe to.
     */
    statistic: pulumi.Input<string>;
}
