"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrefixList = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource schema of AWS::EC2::PrefixList Type
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const newPrefixList = new aws_native.ec2.PrefixList("newPrefixList", {
 *     prefixListName: "vpc-1-servers",
 *     addressFamily: aws_native.ec2.PrefixListAddressFamily.IPv4,
 *     maxEntries: 10,
 *     entries: [
 *         {
 *             cidr: "10.0.0.5/32",
 *             description: "Server 1",
 *         },
 *         {
 *             cidr: "10.0.0.10/32",
 *             description: "Server 2",
 *         },
 *     ],
 *     tags: [{
 *         key: "Name",
 *         value: "VPC-1-Servers",
 *     }],
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const newPrefixList = new aws_native.ec2.PrefixList("newPrefixList", {
 *     prefixListName: "vpc-1-servers",
 *     addressFamily: aws_native.ec2.PrefixListAddressFamily.IPv4,
 *     maxEntries: 10,
 *     entries: [
 *         {
 *             cidr: "10.0.0.5/32",
 *             description: "Server 1",
 *         },
 *         {
 *             cidr: "10.0.0.10/32",
 *             description: "Server 2",
 *         },
 *     ],
 *     tags: [{
 *         key: "Name",
 *         value: "VPC-1-Servers",
 *     }],
 * });
 *
 * ```
 */
class PrefixList extends pulumi.CustomResource {
    /**
     * Get an existing PrefixList resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new PrefixList(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of PrefixList.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === PrefixList.__pulumiType;
    }
    /**
     * Create a PrefixList resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.addressFamily === undefined) && !opts.urn) {
                throw new Error("Missing required property 'addressFamily'");
            }
            resourceInputs["addressFamily"] = args ? args.addressFamily : undefined;
            resourceInputs["entries"] = args ? args.entries : undefined;
            resourceInputs["maxEntries"] = args ? args.maxEntries : undefined;
            resourceInputs["prefixListName"] = args ? args.prefixListName : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["ownerId"] = undefined /*out*/;
            resourceInputs["prefixListId"] = undefined /*out*/;
            resourceInputs["version"] = undefined /*out*/;
        }
        else {
            resourceInputs["addressFamily"] = undefined /*out*/;
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["entries"] = undefined /*out*/;
            resourceInputs["maxEntries"] = undefined /*out*/;
            resourceInputs["ownerId"] = undefined /*out*/;
            resourceInputs["prefixListId"] = undefined /*out*/;
            resourceInputs["prefixListName"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
            resourceInputs["version"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        super(PrefixList.__pulumiType, name, resourceInputs, opts);
    }
}
exports.PrefixList = PrefixList;
/** @internal */
PrefixList.__pulumiType = 'aws-native:ec2:PrefixList';
//# sourceMappingURL=prefixList.js.map