import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * An outcome for rule evaluation.
 */
export declare function getOutcome(args: GetOutcomeArgs, opts?: pulumi.InvokeOptions): Promise<GetOutcomeResult>;
export interface GetOutcomeArgs {
    /**
     * The outcome ARN.
     */
    arn: string;
}
export interface GetOutcomeResult {
    /**
     * The outcome ARN.
     */
    readonly arn?: string;
    /**
     * The timestamp when the outcome was created.
     */
    readonly createdTime?: string;
    /**
     * The outcome description.
     */
    readonly description?: string;
    /**
     * The timestamp when the outcome was last updated.
     */
    readonly lastUpdatedTime?: string;
    /**
     * Tags associated with this outcome.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * An outcome for rule evaluation.
 */
export declare function getOutcomeOutput(args: GetOutcomeOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetOutcomeResult>;
export interface GetOutcomeOutputArgs {
    /**
     * The outcome ARN.
     */
    arn: pulumi.Input<string>;
}
