import * as pulumi from "@pulumi/pulumi";
export declare function getPartition(opts?: pulumi.InvokeOptions): Promise<GetPartitionResult>;
export interface GetPartitionResult {
    /**
     * Base DNS domain name for the current partition (e.g., `amazonaws.com` in AWS Commercial, `amazonaws.com.cn` in AWS China).
     */
    readonly dnsSuffix: string;
    /**
     * Identifier of the current partition (e.g., `aws` in AWS Commercial, `aws-cn` in AWS China).
     */
    readonly partition: string;
}
export declare function getPartitionOutput(opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetPartitionResult>;
