import * as pulumi from "@pulumi/pulumi";
/**
 * This resource represents an individual schema version of a schema defined in Glue Schema Registry.
 */
export declare function getSchemaVersion(args: GetSchemaVersionArgs, opts?: pulumi.InvokeOptions): Promise<GetSchemaVersionResult>;
export interface GetSchemaVersionArgs {
    /**
     * Represents the version ID associated with the schema version.
     */
    versionId: string;
}
export interface GetSchemaVersionResult {
    /**
     * Represents the version ID associated with the schema version.
     */
    readonly versionId?: string;
}
/**
 * This resource represents an individual schema version of a schema defined in Glue Schema Registry.
 */
export declare function getSchemaVersionOutput(args: GetSchemaVersionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSchemaVersionResult>;
export interface GetSchemaVersionOutputArgs {
    /**
     * Represents the version ID associated with the schema version.
     */
    versionId: pulumi.Input<string>;
}
