import * as pulumi from "@pulumi/pulumi";
/**
 * This resource adds Key-Value metadata to a Schema version of Glue Schema Registry.
 */
export declare class SchemaVersionMetadata extends pulumi.CustomResource {
    /**
     * Get an existing SchemaVersionMetadata resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): SchemaVersionMetadata;
    /**
     * Returns true if the given object is an instance of SchemaVersionMetadata.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is SchemaVersionMetadata;
    /**
     * Metadata key
     */
    readonly key: pulumi.Output<string>;
    /**
     * Represents the version ID associated with the schema version.
     */
    readonly schemaVersionId: pulumi.Output<string>;
    /**
     * Metadata value
     */
    readonly value: pulumi.Output<string>;
    /**
     * Create a SchemaVersionMetadata resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: SchemaVersionMetadataArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a SchemaVersionMetadata resource.
 */
export interface SchemaVersionMetadataArgs {
    /**
     * Metadata key
     */
    key: pulumi.Input<string>;
    /**
     * Represents the version ID associated with the schema version.
     */
    schemaVersionId: pulumi.Input<string>;
    /**
     * Metadata value
     */
    value: pulumi.Input<string>;
}
