"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataflowEndpointGroup = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * AWS Ground Station DataflowEndpointGroup schema for CloudFormation
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myDataflowEndpointGroup = new aws_native.groundstation.DataflowEndpointGroup("myDataflowEndpointGroup", {endpointDetails: [{
 *     securityDetails: {
 *         subnetIds: ["subnet-6782e71e"],
 *         securityGroupIds: ["sg-6979fe18"],
 *         roleArn: "arn:aws:iam::012345678910:role/groundstation-service-role-AWSServiceRoleForAmazonGroundStation-EXAMPLEBQ4PI",
 *     },
 *     endpoint: {
 *         name: "myEndpoint",
 *         address: {
 *             name: "172.10.0.2",
 *             port: 44720,
 *         },
 *         mtu: 1500,
 *     },
 * }]});
 *
 * ```
 */
class DataflowEndpointGroup extends pulumi.CustomResource {
    /**
     * Get an existing DataflowEndpointGroup resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new DataflowEndpointGroup(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of DataflowEndpointGroup.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === DataflowEndpointGroup.__pulumiType;
    }
    /**
     * Create a DataflowEndpointGroup resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.endpointDetails === undefined) && !opts.urn) {
                throw new Error("Missing required property 'endpointDetails'");
            }
            resourceInputs["contactPostPassDurationSeconds"] = args ? args.contactPostPassDurationSeconds : undefined;
            resourceInputs["contactPrePassDurationSeconds"] = args ? args.contactPrePassDurationSeconds : undefined;
            resourceInputs["endpointDetails"] = args ? args.endpointDetails : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["awsId"] = undefined /*out*/;
        }
        else {
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["awsId"] = undefined /*out*/;
            resourceInputs["contactPostPassDurationSeconds"] = undefined /*out*/;
            resourceInputs["contactPrePassDurationSeconds"] = undefined /*out*/;
            resourceInputs["endpointDetails"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["contactPostPassDurationSeconds", "contactPrePassDurationSeconds", "endpointDetails[*]"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(DataflowEndpointGroup.__pulumiType, name, resourceInputs, opts);
    }
}
exports.DataflowEndpointGroup = DataflowEndpointGroup;
/** @internal */
DataflowEndpointGroup.__pulumiType = 'aws-native:groundstation:DataflowEndpointGroup';
//# sourceMappingURL=dataflowEndpointGroup.js.map