"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.InvoiceUnit = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * An invoice unit is a set of mutually exclusive accounts that correspond to your business entity. Invoice units allow you to separate AWS account costs and configures your invoice for each business entity.
 */
class InvoiceUnit extends pulumi.CustomResource {
    /**
     * Get an existing InvoiceUnit resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new InvoiceUnit(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of InvoiceUnit.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === InvoiceUnit.__pulumiType;
    }
    /**
     * Create a InvoiceUnit resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.invoiceReceiver === undefined) && !opts.urn) {
                throw new Error("Missing required property 'invoiceReceiver'");
            }
            if ((!args || args.rule === undefined) && !opts.urn) {
                throw new Error("Missing required property 'rule'");
            }
            resourceInputs["description"] = args ? args.description : undefined;
            resourceInputs["invoiceReceiver"] = args ? args.invoiceReceiver : undefined;
            resourceInputs["name"] = args ? args.name : undefined;
            resourceInputs["resourceTags"] = args ? args.resourceTags : undefined;
            resourceInputs["rule"] = args ? args.rule : undefined;
            resourceInputs["taxInheritanceDisabled"] = args ? args.taxInheritanceDisabled : undefined;
            resourceInputs["invoiceUnitArn"] = undefined /*out*/;
            resourceInputs["lastModified"] = undefined /*out*/;
        }
        else {
            resourceInputs["description"] = undefined /*out*/;
            resourceInputs["invoiceReceiver"] = undefined /*out*/;
            resourceInputs["invoiceUnitArn"] = undefined /*out*/;
            resourceInputs["lastModified"] = undefined /*out*/;
            resourceInputs["name"] = undefined /*out*/;
            resourceInputs["resourceTags"] = undefined /*out*/;
            resourceInputs["rule"] = undefined /*out*/;
            resourceInputs["taxInheritanceDisabled"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["invoiceReceiver", "name"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(InvoiceUnit.__pulumiType, name, resourceInputs, opts);
    }
}
exports.InvoiceUnit = InvoiceUnit;
/** @internal */
InvoiceUnit.__pulumiType = 'aws-native:invoicing:InvoiceUnit';
//# sourceMappingURL=invoiceUnit.js.map