import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::IoT::JobTemplate. Job templates enable you to preconfigure jobs so that you can deploy them to multiple sets of target devices.
 */
export declare function getJobTemplate(args: GetJobTemplateArgs, opts?: pulumi.InvokeOptions): Promise<GetJobTemplateResult>;
export interface GetJobTemplateArgs {
    /**
     * A unique identifier for the job template. We recommend using a UUID. Alpha-numeric characters, "-", and "_" are valid for use here.
     */
    jobTemplateId: string;
}
export interface GetJobTemplateResult {
    /**
     * The ARN of the job to use as the basis for the job template.
     */
    readonly arn?: string;
}
/**
 * Resource Type definition for AWS::IoT::JobTemplate. Job templates enable you to preconfigure jobs so that you can deploy them to multiple sets of target devices.
 */
export declare function getJobTemplateOutput(args: GetJobTemplateOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetJobTemplateResult>;
export interface GetJobTemplateOutputArgs {
    /**
     * A unique identifier for the job template. We recommend using a UUID. Alpha-numeric characters, "-", and "_" are valid for use here.
     */
    jobTemplateId: pulumi.Input<string>;
}
