import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Device Profile's resource schema demonstrating some basic constructs and validation rules.
 */
export declare function getDeviceProfile(args: GetDeviceProfileArgs, opts?: pulumi.InvokeOptions): Promise<GetDeviceProfileResult>;
export interface GetDeviceProfileArgs {
    /**
     * Service profile Id. Returned after successful create.
     */
    id: string;
}
export interface GetDeviceProfileResult {
    /**
     * Service profile Arn. Returned after successful create.
     */
    readonly arn?: string;
    /**
     * Service profile Id. Returned after successful create.
     */
    readonly id?: string;
    /**
     * A list of key-value pairs that contain metadata for the device profile.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Device Profile's resource schema demonstrating some basic constructs and validation rules.
 */
export declare function getDeviceProfileOutput(args: GetDeviceProfileOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDeviceProfileResult>;
export interface GetDeviceProfileOutputArgs {
    /**
     * Service profile Id. Returned after successful create.
     */
    id: pulumi.Input<string>;
}
