import * as pulumi from "@pulumi/pulumi";
/**
 * Resource schema for AWS::Personalize::Solution.
 */
export declare function getSolution(args: GetSolutionArgs, opts?: pulumi.InvokeOptions): Promise<GetSolutionResult>;
export interface GetSolutionArgs {
    /**
     * The Amazon Resource Name (ARN) of the solution.
     */
    solutionArn: string;
}
export interface GetSolutionResult {
    /**
     * The Amazon Resource Name (ARN) of the solution.
     */
    readonly solutionArn?: string;
}
/**
 * Resource schema for AWS::Personalize::Solution.
 */
export declare function getSolutionOutput(args: GetSolutionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSolutionResult>;
export interface GetSolutionOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the solution.
     */
    solutionArn: pulumi.Input<string>;
}
