import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::Redshift::ClusterParameterGroup
 */
export declare function getClusterParameterGroup(args: GetClusterParameterGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetClusterParameterGroupResult>;
export interface GetClusterParameterGroupArgs {
    /**
     * The name of the cluster parameter group.
     */
    parameterGroupName: string;
}
export interface GetClusterParameterGroupResult {
    /**
     * An array of parameters to be modified. A maximum of 20 parameters can be modified in a single request.
     */
    readonly parameters?: outputs.redshift.ClusterParameterGroupParameter[];
}
/**
 * Resource Type definition for AWS::Redshift::ClusterParameterGroup
 */
export declare function getClusterParameterGroupOutput(args: GetClusterParameterGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetClusterParameterGroupResult>;
export interface GetClusterParameterGroupOutputArgs {
    /**
     * The name of the cluster parameter group.
     */
    parameterGroupName: pulumi.Input<string>;
}
