import * as pulumi from "@pulumi/pulumi";
/**
 * AWS::RoboMaker::SimulationApplicationVersion resource creates an AWS RoboMaker SimulationApplicationVersion. This helps you control which code your simulation uses.
 */
export declare function getSimulationApplicationVersion(args: GetSimulationApplicationVersionArgs, opts?: pulumi.InvokeOptions): Promise<GetSimulationApplicationVersionResult>;
export interface GetSimulationApplicationVersionArgs {
    /**
     * The Amazon Resource Name (ARN) of the simulation application version.
     */
    arn: string;
}
export interface GetSimulationApplicationVersionResult {
    /**
     * The simulation application version.
     */
    readonly applicationVersion?: string;
    /**
     * The Amazon Resource Name (ARN) of the simulation application version.
     */
    readonly arn?: string;
}
/**
 * AWS::RoboMaker::SimulationApplicationVersion resource creates an AWS RoboMaker SimulationApplicationVersion. This helps you control which code your simulation uses.
 */
export declare function getSimulationApplicationVersionOutput(args: GetSimulationApplicationVersionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSimulationApplicationVersionResult>;
export interface GetSimulationApplicationVersionOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the simulation application version.
     */
    arn: pulumi.Input<string>;
}
