import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource schema for AWS::Route53Resolver::FirewallRuleGroupAssociation.
 */
export declare function getFirewallRuleGroupAssociation(args: GetFirewallRuleGroupAssociationArgs, opts?: pulumi.InvokeOptions): Promise<GetFirewallRuleGroupAssociationResult>;
export interface GetFirewallRuleGroupAssociationArgs {
    /**
     * Id
     */
    id: string;
}
export interface GetFirewallRuleGroupAssociationResult {
    /**
     * Arn
     */
    readonly arn?: string;
    /**
     * Rfc3339TimeString
     */
    readonly creationTime?: string;
    /**
     * The id of the creator request.
     */
    readonly creatorRequestId?: string;
    /**
     * Id
     */
    readonly id?: string;
    /**
     * ServicePrincipal
     */
    readonly managedOwnerName?: string;
    /**
     * Rfc3339TimeString
     */
    readonly modificationTime?: string;
    /**
     * MutationProtectionStatus
     */
    readonly mutationProtection?: enums.route53resolver.FirewallRuleGroupAssociationMutationProtection;
    /**
     * FirewallRuleGroupAssociationName
     */
    readonly name?: string;
    /**
     * Priority
     */
    readonly priority?: number;
    /**
     * ResolverFirewallRuleGroupAssociation, possible values are COMPLETE, DELETING, UPDATING, and INACTIVE_OWNER_ACCOUNT_CLOSED.
     */
    readonly status?: enums.route53resolver.FirewallRuleGroupAssociationStatus;
    /**
     * FirewallDomainListAssociationStatus
     */
    readonly statusMessage?: string;
    /**
     * Tags
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::Route53Resolver::FirewallRuleGroupAssociation.
 */
export declare function getFirewallRuleGroupAssociationOutput(args: GetFirewallRuleGroupAssociationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetFirewallRuleGroupAssociationResult>;
export interface GetFirewallRuleGroupAssociationOutputArgs {
    /**
     * Id
     */
    id: pulumi.Input<string>;
}
