import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::SageMaker::DataQualityJobDefinition
 */
export declare function getDataQualityJobDefinition(args: GetDataQualityJobDefinitionArgs, opts?: pulumi.InvokeOptions): Promise<GetDataQualityJobDefinitionResult>;
export interface GetDataQualityJobDefinitionArgs {
    /**
     * The Amazon Resource Name (ARN) of job definition.
     */
    jobDefinitionArn: string;
}
export interface GetDataQualityJobDefinitionResult {
    /**
     * The time at which the job definition was created.
     */
    readonly creationTime?: string;
    /**
     * The Amazon Resource Name (ARN) of job definition.
     */
    readonly jobDefinitionArn?: string;
}
/**
 * Resource Type definition for AWS::SageMaker::DataQualityJobDefinition
 */
export declare function getDataQualityJobDefinitionOutput(args: GetDataQualityJobDefinitionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDataQualityJobDefinitionResult>;
export interface GetDataQualityJobDefinitionOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of job definition.
     */
    jobDefinitionArn: pulumi.Input<string>;
}
