"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecurityControl = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * A security control in Security Hub describes a security best practice related to a specific resource.
 */
class SecurityControl extends pulumi.CustomResource {
    /**
     * Get an existing SecurityControl resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new SecurityControl(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of SecurityControl.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === SecurityControl.__pulumiType;
    }
    /**
     * Create a SecurityControl resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.parameters === undefined) && !opts.urn) {
                throw new Error("Missing required property 'parameters'");
            }
            resourceInputs["lastUpdateReason"] = args ? args.lastUpdateReason : undefined;
            resourceInputs["parameters"] = args ? args.parameters : undefined;
            resourceInputs["securityControlArn"] = args ? args.securityControlArn : undefined;
            resourceInputs["securityControlId"] = args ? args.securityControlId : undefined;
        }
        else {
            resourceInputs["lastUpdateReason"] = undefined /*out*/;
            resourceInputs["parameters"] = undefined /*out*/;
            resourceInputs["securityControlArn"] = undefined /*out*/;
            resourceInputs["securityControlId"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["securityControlId"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(SecurityControl.__pulumiType, name, resourceInputs, opts);
    }
}
exports.SecurityControl = SecurityControl;
/** @internal */
SecurityControl.__pulumiType = 'aws-native:securityhub:SecurityControl';
//# sourceMappingURL=securityControl.js.map