export declare const LoggingConfigurationState: {
    readonly Creating: "CREATING";
    readonly CreateFailed: "CREATE_FAILED";
    readonly Deleting: "DELETING";
    readonly DeleteFailed: "DELETE_FAILED";
    readonly Updating: "UPDATING";
    readonly UpdatingFailed: "UPDATING_FAILED";
    readonly Active: "ACTIVE";
};
/**
 * The state of the logging configuration. When the state is ACTIVE, the configuration is ready to log chat content.
 */
export type LoggingConfigurationState = (typeof LoggingConfigurationState)[keyof typeof LoggingConfigurationState];
export declare const RoomMessageReviewHandlerFallbackResult: {
    readonly Allow: "ALLOW";
    readonly Deny: "DENY";
};
/**
 * Specifies the fallback behavior if the handler does not return a valid response, encounters an error, or times out.
 */
export type RoomMessageReviewHandlerFallbackResult = (typeof RoomMessageReviewHandlerFallbackResult)[keyof typeof RoomMessageReviewHandlerFallbackResult];
